#include <stdio.h>
#include <math.h>

int factor(int n) {
    int i;
    int fact = 1;
    
        for (i = 1; i <= n; ++i) {
            fact *= i;
        }
       return fact;
}


int main()
{
	int i,j,n;
	scanf("%d", &n);
	
	char a[n];
	for(i=0;i<=n;i++)
	{
		scanf("%c", &a[i]);	
	}
	
	if(n<26)
		printf("0");
	else
	{
		

	
		int c=1;
		for(i=1;i<=n;i++)
		{
			
			int br=0;
			for(j=1;j<=n;j++)
				{
					if(a[i]==a[j])
					{
						br++;
					}	
					else
					{
						break;
					}
				
				}
			if(br==0)
				br=1;
			c=c*br;
		}
	
	int d;
	
	d=c%1000000007;
	printf("%d",d);
		
		
		
		
	}	

	return 0;
}